Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiApp Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Shutdown (void)
HRESULT | Help (void)
HRESULT | Undo (void)
HRESULT | Redo (void)
HRESULT | RunScript ([in] BSTR fileName)
HRESULT | TimerActivate ([in] BSTR szTimerName,[in] RtUlong dwPeriod)
HRESULT | TimerDeactivate ([in] BSTR szTimerName)
HRESULT | Load ([in] VARIANT szFileName,[out, retval] VARIANT *pVal)
HRESULT | Save ([in] VARIANT szFileName)
HRESULT | SaveHistory ([in] VARIANT szFileName)
HRESULT | LoadHistory ([in] VARIANT szFileName)
HRESULT | ImportPackage ([in] BSTR clsidPck)
HRESULT | RootCreate (void)
HRESULT | SetCachingMode ([in] BSTR cachingMode,[in] BOOL bUpdate)
HRESULT | CreateLogHandler ([in] BSTR clsid,[out, retval] RtUlong *pHandlerId)
HRESULT | DestroyLogHandler ([in] RtUlong handlerId)
HRESULT | Reset (void)
HRESULT | SendCustomEvent ([in] BSTR bsNodeName,[in] VARIANT vCustomData)
HRESULT | SuspendLogHandler ([in] RtUlong handlerId,[in] BOOL bSuspend)
HRESULT | SuspendLogHandlers ([in] BOOL bSuspend)
HRESULT | ClearHistory (void)
HRESULT | AllTimersDeactivate ([in] BSTR szEncapsName)
HRESULT | RunScriptBuffer ([in] BSTR Buffer)
HRESULT | HistoryLength ([out, retval] RtUlong *pVal)
HRESULT | HistoryLength ([in] RtUlong newVal)

## Detailed Description

The IRiApp interface provides kernel methods (serialization, undo, timers management, log management). Several of them are usefull only in application startup time or are reserved for internal purposes
Root-level name in the scripting engine's name space: RsApp

## Member Function Documentation

HRESULT IRiApp::Shutdown | ( | void |  | ) |

| Regular application shutdown.

HRESULT IRiApp::Help | ( | void |  | ) |

| Generates xml developer documentation of application's nodes and commands.

HRESULT IRiApp::Undo | ( | void |  | ) |

| Performs undo operation.

HRESULT IRiApp::Redo | ( | void |  | ) |

| Performs redo operation.

HRESULT IRiApp::RunScript | ( | [in] BSTR | fileName | ) |

  | Executes script from file (written in jScript). Used for application startup script. Parameters:
  fileName | – file name to be executed

HRESULT IRiApp::TimerActivate | ( | [in] BSTR | szTimerName,
|  | [in] RtUlong | dwPeriod
| ) |

  | Activates timer object. Parameters:
  szTimerName | - full name of timer object
  dwPeriod | - period for timer's ticks in miliseconds

HRESULT IRiApp::TimerDeactivate | ( | [in] BSTR | szTimerName | ) |

  | Deactivates timer object. Parameters:
  szTimerName | - full name of timer object

HRESULT IRiApp::Load | ( | [in] VARIANT | szFileName,
|  | [out, retval] VARIANT * | pVal
| ) |

  | Loads system content file (stored e.g. during latest system shutdown). Parameters:
  szFileName | - .ctx file name to load
  pVal | - returns TRUE if load succeeded, FALSE otherwise

HRESULT IRiApp::Save | ( | [in] VARIANT | szFileName | ) |

  | Save system content to .ctx file. Parameters:
  szFileName | - .ctx file name for save

HRESULT IRiApp::SaveHistory | ( | [in] VARIANT | szFileName | ) |

  | Save command history to .rsh file. Parameters:
  szFileName | - .rsh file name for save

HRESULT IRiApp::LoadHistory | ( | [in] VARIANT | szFileName | ) |

  | Loads command history from .rsh file. Parameters:
  szFileName | - .rsh file name for load

HRESULT IRiApp::ImportPackage | ( | [in] BSTR | clsidPck | ) |

  | Imports specific package (usually during application startup). Parameters:
  clsidPck | - GUID of the package to be imported

HRESULT IRiApp::RootCreate | ( | void |  | ) |

| Creates system root (during application startup when no existing content is reloaded).

HRESULT IRiApp::SetCachingMode | ( | [in] BSTR | cachingMode,
|  | [in] BOOL | bUpdate
| ) |

| Sets caching mode for connectors (for internal purpose only!).

HRESULT IRiApp::CreateLogHandler | ( | [in] BSTR | clsid,
|  | [out, retval] RtUlong * | pHandlerId
| ) |

| Creates log handler instance (for internal purposes only!).

HRESULT IRiApp::DestroyLogHandler | ( | [in] RtUlong | handlerId | ) |

| Destroys log handler instance (for internal purposes only!).

HRESULT IRiApp::Reset | ( | void |  | ) |

| System reset operation.

HRESULT IRiApp::SendCustomEvent | ( | [in] BSTR | bsNodeName,
|  | [in] VARIANT | vCustomData
| ) |

  | Sends custom event to specific object (special way of communication between objects). Parameters:
  bsNodeName | - full name of destination object
  vCustomData | - custom data (e.g. specific signal number)

HRESULT IRiApp::SuspendLogHandler | ( | [in] RtUlong | handlerId,
|  | [in] BOOL | bSuspend
| ) |

| Suspend or allow specific log handler (for internal purposes only!).

HRESULT IRiApp::SuspendLogHandlers | ( | [in] BOOL | bSuspend | ) |

| Suspend or allow all registered log handlers (for internal purposes only!).

HRESULT IRiApp::ClearHistory | ( | void |  | ) |

| Clear command history

HRESULT IRiApp::AllTimersDeactivate | ( | [in] BSTR | szEncapsName | ) |

| Deativates all running timers (e.g. to stop all timer-based animations on the scene)

HRESULT IRiApp::RunScriptBuffer | ( | [in] BSTR | Buffer | ) |

  | Executes script buffer Parameters:
  Buffer | - script code to be executed

HRESULT IRiApp::HistoryLength | ( | [out, retval] RtUlong * | pVal | ) |

  | Gets current command history length Parameters:
  pVal | - returns history length

HRESULT IRiApp::HistoryLength | ( | [in] RtUlong | newVal | ) |

  | Sets command history length Parameters:
  newVal | - new history length to be set